Subject: mail (fwd)

From: Hongguang Zhou <[email-masked]>
Date: Sun, 27 Feb 1994 00:00:26 -0500 (EST)

---------- Forwarded message ----------
Date: Sat, 26 Feb 94 20:39:37 -0500
From: Yu Chen <[email-masked]>
To: [email-masked]
Subject: mail

I am only interested in the news and communications within Emory Chinese
student union not the ifcss, each day my mailbox was crammed with a lot
of rubbish that I don't care, sometimes they really prevented me from
finding the message I need.  I can not stand it any more.  Can everybody
subscribe it individually.  I think this is a complaint not only from me,
but also from quite a few annoyed Chinese students.
Thank you for attention.
Yu Chen